import QtQuick 2.1
import org.kde.kirigami 2.4 as Kirigami
import QtQuick.Controls 2.0 as Controls

Kirigami.ApplicationWindow {
    id: root

    title: "QiFlora"

    pageStack.initialPage: mainPageComponent

    Component {
        id: mainPageComponent

        Kirigami.ScrollablePage {
            mainAction: Kirigami.Action {
                    iconName: "view-refresh"
                    text: i18n("Query Device")
            }
            title: "Monitor"
            
            Component.onCompleted: {
                monitorTypes.append({"chartType": "temperature", "title": i18n("Temperature"), "icon": "filename-bpm-amarok"});
                monitorTypes.append({"chartType": "moisture", "title": i18n("Moisture"), "icon": "colors-chromablue"});
                monitorTypes.append({"chartType": "conductivity", "title": i18n("Conductivity"), "icon": "quickopen"});
                monitorTypes.append({"chartType": "brightness", "title": i18n("Brightness"), "icon": "contrast"});
            }

            Kirigami.CardsListView {
                id: monitorView
                model: ListModel {
                    id: monitorTypes
                }
                
                delegate: Kirigami.Card {
                    id: card
                    banner {
                        title: model.title
                        titleIcon: model.icon
                    }
                    contentItem: Controls.Label {
                            wrapMode: Text.WordWrap
                            text: model.chartType
                        }
                }
            }
        }
    }
}
